




#runs as player when complete parkour
tag @s add ignoreinvstuff

#set scores
scoreboard players set @s pl_level 20
scoreboard players set @s pl_anim 500
scoreboard players add @s total_times_completed 1

#reset other
function we:pl_reset_abilities
gamemode spectator @s
clear @s
effect clear @s
effect give @s resistance 5 255 true

#summon 
scoreboard players set !now math 0
tag @s add me827
execute positioned ~ 45 ~ positioned ~ ~0.5 ~ positioned ^0.5 ^ ^ facing 24.30 45.00 -9.5 run function player_walking_anim:summon/default
summon armor_stand ~1.0 ~2.3 ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Marker:1b,Invisible:1b,PersistenceRequired:1b,Tags:["anim_win_spec","new"],Rotation:[90.0F,0.0F]}
execute as @e[type=armor_stand,tag=new,limit=1] run scoreboard players operation @s id = @a[tag=me827] id
spectate @e[type=armor_stand,tag=new,limit=1] @s
execute as @e[type=armor_stand,tag=new,limit=1] run tag @s remove new
tag @s remove me827

#visuals
title @s actionbar {"text":""}
title @s times 0 0 30
title @s subtitle {"text":"Congratulations","color":"light_purple"}
title @s title {"text":"\uE003","color":"dark_purple"}
particle minecraft:firework ~ ~1 ~ 1 1 1 0.3 200 force @s
playsound minecraft:we_effect.parkour_complete ambient @s ~ ~ ~ 10 1

#update level best times
function we:pl_gm_times_update
function we:pl_reset_special

#update best time
execute if score @s cticks <= @s lvlb_tick18 run function we:pl_anim_win_start_record

#s++ <= 4.30
#s+ <= 4.45
#s <= 5.0
#A <= 6.0
#B <= 7.3
#C <= 10
#D <= 15
#E <= 20
#F <= Infinit
#rank text
execute if score @s cticks matches ..5400 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"S++","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 5401..5700 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"S+","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 5701..6000 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"S","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 6001..7200 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"A","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 7201..9000 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"B","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 9001..12000 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"C","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 12001..18000 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"D","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 18001..24000 run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"E","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]
execute if score @s cticks matches 24001.. run tellraw @s ["",{"text":"[","color":"black"},{"text":"Time: ","color":"gold"},{"score":{"name":"@s","objective":"ctime_h"},"color":"gold"},{"text":"h","color":"gold"},{"score":{"name":"@s","objective":"ctime_min"},"color":"gold"},{"text":"m,","color":"gold"},{"score":{"name":"@s","objective":"ctime_sec"},"color":"gold"},{"text":"s,","color":"gold"},{"score":{"name":"@s","objective":"ctime_tick"},"color":"gold"},{"text":"t","color":"gold"},{"text":"] ","color":"black"},{"text":"[","color":"white"},{"text":"F","color":"yellow"},{"text":"/","color":"white"},{"text":"S++","color":"yellow"},{"text":"]","color":"white"},{"text":"\n"},{"text":"[","color":"black"},{"text":"Best time: ","color":"yellow"},{"score":{"name":"@s","objective":"btime_h"},"color":"yellow"},{"text":"h,","color":"yellow"},{"score":{"name":"@s","objective":"btime_min"},"color":"yellow"},{"text":"m,","color":"yellow"},{"score":{"name":"@s","objective":"btime_sec"},"color":"yellow"},{"text":"s,","color":"yellow"},{"score":{"name":"@s","objective":"btime_tick"},"color":"yellow"},{"text":"t","color":"yellow"},{"text":"]","color":"black"},{"text":"\n"},{"text":"Official Leaderboard","color":"dark_gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":" ","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"[","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"Click for link","color":"gray","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}},{"text":"]","color":"black","clickEvent":{"action":"open_url","value":"https://zombiemaps.net/index.php?map=Noob%20To%20Winner%20"}}]

#top list
execute if score @s cticks matches ..100000 run scoreboard players set @s top_list 100000
execute if score @s cticks matches ..100000 run scoreboard players operation @s top_list -= @s lvlb_tick18
execute if score @s cticks matches ..100000 if score @s total_times_completed matches 1 run scoreboard players add !players_on_list math 1 
execute if score !players_on_list math matches 2 run scoreboard objectives setdisplay sidebar top_list






